﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDataModels.Models;

namespace TypographyContracts.BindingModels
{
    public class PrintedBindingModel : IPrintedModel
    {
        public int Id { get; set; }
        public string PrintedName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> PrintedComponents { get; set; } = new();
    }
}
