﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TypographyContracts.DI
{
    /// <summary>
	/// Интерфейс для регистрации зависимостей в модулях
	/// </summary>
	public interface IImplementationExtension
    {
        public int Priority { get; }
        /// <summary>
        /// Регистрация сервисов
        /// </summary>
        public void RegisterServices();
    }
}
