﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyContracts.Attributes;
using TypographyDataModels.Models;

namespace TypographyContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        [Column(visible: false)]
        public string MessageId { get; set; } = string.Empty;
        [Column(visible: false)]
        public int? ClientId { get; set; }
        [Column("Отправитель", gridViewAutoSize: GridViewAutoSize.DisplayedCells, isUseAutoSize: true)]
        public string SenderName { get; set; } = string.Empty;
        [Column("Дата отправки", width: 100)]
        public DateTime DateDelivery { get; set; }
        [Column("Subject", width: 150)]
        public string Subject { get; set; } = string.Empty;
        [Column("Тело", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Body { get; set; } = string.Empty;
        [Column(visible: false)]
        public int Id => throw new NotImplementedException();
    }
}
