﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDatabaseImplements.Models;
using Microsoft.EntityFrameworkCore;
using TypographyDatabaseImplement.Models;

namespace TypographyDatabaseImplements
{
    public class TypographyDatabase: DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source = .\SQLEXPRESS;
                                            Initial Catalog=TypographyDatabaseFullBaseNew1;
                                            Integrated Security=True;MultipleActiveResultSets=True;;
                                            TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Printed> Printeds { set; get; }
        public virtual DbSet<PrintedComponent> PrintedComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
        public virtual DbSet<Client> Clients { set; get; }
        public virtual DbSet<Implementer> Implementers { set; get; }
        public virtual DbSet<MessageInfo> Messages { set; get; }
    }
}
