﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using TypographyDatabaseImplement.Models;
using System.ComponentModel.DataAnnotations.Schema;
using TypographyContracts.BindingModels;
using TypographyContracts.ViewModels;
using TypographyDataModels.Models;

namespace TypographyDatabaseImplements.Models
{
    public class PrintedComponent
    {
        public int Id { get; set; }
        [Required]
        public int PrintedId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Printed Printed { get; set; } = new();
    }
}
